package p05_petle;

import java.util.Scanner;

public class KwadratyISzesciany {

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		System.out.print("Podaj limit: ");
		final long limit = scanner.nextInt();

		// na podstawie maksymalnej liczby oszacuję potrzebną liczbę cyfr
		// i utworzę wzorzec formatu - lepiej to zrobić przed pętlą, niż za każdym razem tworzyć w pętli
		int len = String.valueOf(limit).length();
		final String format = "%" + len + "d %" + (2*len) + "d %" + (3*len) + "d%n";
		System.out.println("format = " + format);
		
		for(long i = 1; i <= limit; i++) {
			// System.out.println(i + " " + i*i + " " + i*i*i);
			// System.out.println(i + "\t" + i*i + "\t" + i*i*i);
			// System.out.printf("%d %d %d%n", i, i*i, i*i*i);
			// System.out.printf("%5d %10d %15d%n", i, i*i, i*i*i);
			System.out.printf(format, i, i*i, i*i*i);
		}
	}

}
